### Method

# Camel MessageInfo get_user_header

since: 3.42

#### Declaration [src]

    const gchar*
    camel_message_info_get_user_header (
      const CamelMessageInfo* mi,
      const gchar* name
    )

#### Description

No description available.

Available since: 3.42

#### Parameters

`name`

  Type: `const gchar*`

  Header name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

Value of the header named `name` from the user-defined message headers of the associated message, or `NULL`, when not available.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.